<?php
/*--------------------------------------------+
| PHP-Fusion 6 - Content Management System |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk |
| email: nick@php-fusion.co.uk |
|---------------------------------------------|
| Released under the terms and conditions of |
| the GNU General Public License (Version 2) |
+--------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (file_exists(INFUSIONS."avatar_gallery/locale/".$settings['locale'].".php")) {
	include INFUSIONS."avatar_gallery/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."avatar_gallery/locale/English.php";
}

if (!checkrights("IP")) fallback("../index.php");

if (!isset($imgfolder)) $imgfolder = "Avatars";

if ($imgfolder == "Avatars") { $avafolder = IMAGES."avatars/"; }
elseif ($imgfolder == "CoolMan") { $avafolder = INFUSIONS."avatar_gallery/img/avatars/CoolMan/"; }
elseif ($imgfolder == "CuteGirl") { $avafolder = INFUSIONS."avatar_gallery/img/avatars/CuteGirl/"; }
elseif ($imgfolder == "InHuman") { $avafolder = INFUSIONS."avatar_gallery/img/avatars/InHuman/"; }

if (isset($del)) {
	unlink($avafolder."$del");
	opentable($locale['AVA_101']);
	echo "<center><br>
".$locale['AVA_102']."<br><br>
<a href='".FUSION_SELF."?imgfolder=$imgfolder'>".$locale['AVA_103']."</a><br><br>
<a href='".ADMIN."index.php'>".$locale['AVA_104']."</a><br><br>
</center>\n";
	closetable();
} elseif (isset($_POST['uploadimage'])) {
	$error = "";
	$image_types = array(
		".gif",
		".GIF",
		".jpeg",
		".JPEG",
		".jpg",
		".JPG",
		".png",
		".PNG"
	);
	$imgext = strrchr($_FILES['myfile']['name'], ".");
	$imgname = $_FILES['myfile']['name'];
	$imgsize = $_FILES['myfile']['size'];
	$imgtemp = $_FILES['myfile']['tmp_name'];
	if (!in_array($imgext, $image_types)) {
		$error = "<center><br>
".$locale['AVA_105']."<br><br>
<a href='".FUSION_SELF."?imgfolder=$imgfolder'>".$locale['AVA_103']."</a><br><br>
<a href='".ADMIN."index.php'>".$locale['AVA_104']."</a><br><br>
</center>\n";
	}
	opentable($locale['AVA_106']);
	if ($error == "") {		
		if (is_uploaded_file($imgtemp)){
			move_uploaded_file($imgtemp, $avafolder.$imgname);
			chmod($avafolder.$imgname,0644);
			echo "<center><br>
<img src='".$avafolder.$imgname."'><br><br>
".$locale['AVA_107']."<br><br>
<a href='".FUSION_SELF."?imgfolder=$imgfolder'>".$locale['AVA_103']."</a><br><br>
<a href='".ADMIN."index.php'>".$locale['AVA_104']."</a><br><br>
</center>\n";
		}
	} else {
		echo "$error\n";
	}
	closetable();
} else {
	opentable($locale['AVA_106']);
	echo "<form name='uploadform' method='post' action='".FUSION_SELF."?imgfolder=$imgfolder' enctype='multipart/form-data'>
<table align='center' width='350' cellspacing='0' cellpadding='0'>
<tr>
<td width='80' class='tbl'>".$locale['AVA_108']."</td>
<td class='tbl'><input type='file' name='myfile' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'>
<input type='submit' name='uploadimage' value='".$locale['AVA_106']."' class='button' style='width:110px;'></td>
</tr>
</table>
</form>\n";
	closetable();
	tablebreak();
	if (isset($view)) {
		opentable($locale['AVA_109']);
		echo "<center><br>\n";
		$image_ext = strrchr($avafolder.$view,".");
		if (in_array($image_ext, array(".gif",".GIF",".jpg",".JPG",".jpeg",".JPEG",".png",".PNG"))) {
			echo "<img src='".$avafolder.$view."'><br><br>\n";
		} else {
			echo $locale['AVA_110']."<br><br>\n";
		}
		if ($imgfolder == "Avatars") {
		echo "<a href='".FUSION_SELF."?imgfolder=$imgfolder'>".$locale['AVA_103']."</a><br><br>\n</center>\n";
		} else {
		echo "<a href='".FUSION_SELF."?del=$avafolder$view'>".$locale['AVA_111']."</a><br><br>\n
<a href='".FUSION_SELF."?imgfolder=$imgfolder'>".$locale['AVA_103']."</a><br><br>\n</center>\n";
		}
		closetable();
	} else {
		$image_list = makefilelist($avafolder, ".|..|index.php", true);
		if ($image_list) { $image_count = count($image_list); }
		opentable($locale['AVA_112']);
		echo "<table width='400' align='center' cellpadding='0' cellspacing='0'>
<tr>
<td width='25%' align='center'><a href='".FUSION_SELF."?imgfolder=Avatars'>".$locale['AVA_116']."</a></td>
<td width='25%' align='center'><a href='".FUSION_SELF."?imgfolder=CoolMan'>".$locale['AVA_117']."</a></td>
<td width='25%' align='center'><a href='".FUSION_SELF."?imgfolder=CuteGirl'>".$locale['AVA_118']."</a></td>
<td width='25%' align='center'><a href='".FUSION_SELF."?imgfolder=InHuman'>".$locale['AVA_119']."</a></td>
</tr>
<tr>
<td colspan='4'><hr></td>
</tr>
</table>\n";
		echo "<table width='400' align='center' cellpadding='0' cellspacing='0'>\n";
		if ($image_list) {
			for ($i=0;$i < $image_count;$i++) {
				if ($i % 2 == 0) { $row_color = "tbl1"; } else { $row_color = "tbl2"; }
				echo "<tr>\n<td class='$row_color'>$image_list[$i]</td>
<td align='right' class='$row_color'>";
				if ($imgfolder == "Avatars") {
					echo "
<a href='".FUSION_SELF."?imgfolder=$imgfolder&view=$image_list[$i]'>".$locale['AVA_113']."</a>";
				} else {
					echo "
<a href='".FUSION_SELF."?imgfolder=$imgfolder&view=$image_list[$i]'>".$locale['AVA_113']."</a>&nbsp;&nbsp;
<a href='".FUSION_SELF."?imgfolder=$imgfolder&del=$image_list[$i]'>".$locale['AVA_114']."</a>";
				}
				echo "</td>
</tr>\n";
			}
		} else {
			echo "<tr>\n<td align='center' class='tbl1'>".$locale['AVA_115']."</td>\n</tr>\n";
		}
		echo "</table>\n";
		closetable();
	}
}

echo "</td>\n";
require_once BASEDIR."footer.php";
?>